BooleanSerializer (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.utils

## Class BooleanSerializer

- java.lang.Object
- - org.apache.cassandra.utils.BooleanSerializer

- All Implemented Interfaces:
    IVersionedSerializer<java.lang.Boolean>

      public class BooleanSerializer
      extends java.lang.Object
      implements IVersionedSerializer<java.lang.Boolean>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static BooleanSerializer` | `serializer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BooleanSerializer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Boolean` | `deserialize(DataInputPlus in, int version)` Deserialize into the specified DataInputStream instance.
    `void` | `serialize(java.lang.Boolean b, DataOutputPlus out, int version)` Serialize the specified type into the specified DataOutputStream instance.
    `long` | `serializedSize(java.lang.Boolean aBoolean, int version)` Calculate serialized size of object without actually serializing.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### serializer

          public static BooleanSerializer serializer

  - ### Constructor Detail

    - #### BooleanSerializer

          public BooleanSerializer()

  - ### Method Detail

    - #### serialize

          public void serialize(java.lang.Boolean b,
                                DataOutputPlus out,
                                int version)
                         throws java.io.IOException

      Description copied from interface: `IVersionedSerializer`
      Serialize the specified type into the specified DataOutputStream instance.
      Specified by:
        `serialize` in interface `IVersionedSerializer<java.lang.Boolean>`
      Parameters:
        `b` - type that needs to be serialized
        `out` - DataOutput into which serialization needs to happen.
        `version` - protocol version
      Throws:
        `java.io.IOException` - if serialization fails

    - #### deserialize

          public java.lang.Boolean deserialize(DataInputPlus in,
                                               int version)
                                        throws java.io.IOException

      Description copied from interface: `IVersionedSerializer`
      Deserialize into the specified DataInputStream instance.
      Specified by:
        `deserialize` in interface `IVersionedSerializer<java.lang.Boolean>`
      Parameters:
        `in` - DataInput from which deserialization needs to happen.
        `version` - protocol version
      Returns:
        the type that was deserialized
      Throws:
        `java.io.IOException` - if deserialization fails

    - #### serializedSize

          public long serializedSize(java.lang.Boolean aBoolean,
                                     int version)

      Description copied from interface: `IVersionedSerializer`
      Calculate serialized size of object without actually serializing.
      Specified by:
        `serializedSize` in interface `IVersionedSerializer<java.lang.Boolean>`
      Parameters:
        `aBoolean` - object to calculate serialized size
        `version` - protocol version
      Returns:
        serialized size of object t

Copyright © 2018 The Apache Software Foundation